package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class SystemMetaMailDoc extends DynamoDBDocBase {
    private String systemMetaMailAttrib;

    public String getAttribFieldName() {
        return "SystemMetaMailAttrib";
    }

    @DynamoDbAttribute("SystemMetaMailAttrib")
    @JsonProperty("SystemMetaMailAttrib")
    public String getAttribValue() {
        return systemMetaMailAttrib;
    }

    public void setAttribValue(String value) {
        this.systemMetaMailAttrib = value;
    }
}

